NetBSD Problem Report #46071

From www@NetBSD.org  Wed Feb 22 09:31:02 2012
Return-Path: <www@NetBSD.org>
Received: from mail.netbsd.org (mail.netbsd.org [149.20.53.66])
	by www.NetBSD.org (Postfix) with ESMTP id 2AC0C63E10E
	for <gnats-bugs@gnats.NetBSD.org>; Wed, 22 Feb 2012 09:31:02 +0000 (UTC)
Message-Id: <20120222093101.8995C63BCEF@www.NetBSD.org>
Date: Wed, 22 Feb 2012 09:31:01 +0000 (UTC)
From: pettai@nordu.net
Reply-To: pettai@nordu.net
To: gnats-bugs@NetBSD.org
Subject: pkgin fails to recognize arch (which is correct)
X-Send-Pr-Version: www-1.0

>Number:         46071
>Category:       pkg
>Synopsis:       pkgin fails to recognize arch (which is correct)
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    imil
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Feb 22 09:35:00 +0000 2012
>Last-Modified:  Fri Aug 23 20:25:00 +0000 2013
>Originator:     Fredrik Pettai
>Release:        NetBSD 5.1_STABLE / pkgin-0.5.2.1nb1
>Organization:
NORDUnet
>Environment:
NetBSD mail-server 5.1_STABLE NetBSD 5.1_STABLE (MAIL-SERVER) #0: Wed Nov  9 16:00:01 CET 2011  root@mail-server:/usr/src/sys/arch/i386/compile/MAIL-SERVER i386
>Description:
Installed pkgin and try to update the repo:

bash-4.0# pkgin update
Database needs to be updated.
proceed ? [Y/n] y
reading local summary...
processing local summary...
updating database:  61%
/!\ Warning /!\ x86_64 doesn't match your current architecture (i386)
You probably want to modify /usr/pkg/etc/pkgin/repositories.conf.
Still want to proceed ? [y/N] ^C

Repo points to the correct arch:

bash-4.0# tail /usr/pkg/etc/pkgin/repositories.conf
# Simply add repositories one below the other
#
# WARNING: order matters, duplicates will not be added, if two
# repositories hold the same package, it will be fetched from 
# the first one listed in this file. 

# ftp://ftp.netbsd.org/pub/pkgsrc/packages/NetBSD/i386/4.0/All

# European countries will prefer the following
ftp://ftp.fr.netbsd.org/pub/pkgsrc/packages/NetBSD/i386/5.0/All
>How-To-Repeat:
See Full Desc.
>Fix:

>Release-Note:

>Audit-Trail:

Responsible-Changed-From-To: pkg-manager->imil
Responsible-Changed-By: wiz@NetBSD.org
Responsible-Changed-When: Wed, 22 Feb 2012 09:38:10 +0000
Responsible-Changed-Why:
Over to maintainer.


From: Patrick Welche <prlw1@cam.ac.uk>
To: gnats-bugs@netbsd.org
Cc: 
Subject: Re: pkg/46071
Date: Fri, 23 Aug 2013 21:23:43 +0100

 Just saw the same the other way around with pkgin-0.6.4

 /!\ Warning /!\ i386 doesn't match your current architecture (x86_64)

 where all involved are NetBSD-6.99.23/amd64.

>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2007 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.